Apache log4cxx: NTEventLogAppender Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTEventLogAppender Class Reference

Inherits AppenderSkeleton.

List of all members.

## Detailed Description

Appends log events to NT EventLog.

## Public Member Functions
| NTEventLogAppender ()
| NTEventLogAppender (const LogString &server, const LogString &log, const LogString &source, const LayoutPtr &layout)
virtual | ~NTEventLogAppender ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)
| Derived appenders should override this method if option structure requires it.
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.
virtual void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`.
bool | requiresLayout () const
| The SocketAppender does not use a layout.
void | setSource (const LogString &source)
const LogString & | getSource () const
void | setLog (const LogString &log)
const LogString & | getLog () const
void | setServer (const LogString &server)
const LogString & | getServer () const
## Protected Types
typedef void | SID
typedef void * | HANDLE
## Protected Member Functions
virtual void | append (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)
| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging.
void | addRegistryInfo ()
## Static Protected Member Functions
static unsigned short | getEventType (const spi::LoggingEventPtr &event)
static unsigned short | getEventCategory (const spi::LoggingEventPtr &event)
static LogString | getErrorString (const LogString &function)
## Protected Attributes
LogString | server
LogString | log
LogString | source
HANDLE | hEventLog
SID * | pCurrentUserSID

## Member Typedef Documentation

typedef void* HANDLE`[protected]`

typedef void SID`[protected]`

## Constructor & Destructor Documentation

NTEventLogAppender | ( |  | ) |

NTEventLogAppender | ( | const LogString & | server,
|  | const LogString & | log,
|  | const LogString & | source,
|  | const LayoutPtr & | layout
| ) |

virtual ~NTEventLogAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void activateOptions | ( | log4cxx::helpers::Pool & | p | ) | `[virtual]`

| Derived appenders should override this method if option structure requires it. Reimplemented from AppenderSkeleton.

void addRegistryInfo | ( |  | ) | `[protected]`

virtual void append | ( | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | p
| ) | `[protected, virtual]`

| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging. See also AppenderSkeleton::doAppend method. Implements AppenderSkeleton.

virtual void close | ( |  | ) | `[virtual]`

| Release any resources allocated within the appender such as file handles, network connections, etc. It is a programming error to append to a closed appender. Implements Appender.

static LogString getErrorString | ( | const LogString & | function | ) | `[static, protected]`

static unsigned short getEventCategory | ( | const spi::LoggingEventPtr & | event | ) | `[static, protected]`

static unsigned short getEventType | ( | const spi::LoggingEventPtr & | event | ) | `[static, protected]`

const LogString& getLog | ( |  | ) | const`[inline]`

const LogString& getServer | ( |  | ) | const`[inline]`

const LogString& getSource | ( |  | ) | const`[inline]`

bool requiresLayout | ( |  | ) | const`[inline, virtual]`

| The SocketAppender does not use a layout. Hence, this method returns `false`. Implements Appender.

void setLog | ( | const LogString & | log | ) | `[inline]`

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set `option` to `value`. The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called. Reimplemented from AppenderSkeleton.

void setServer | ( | const LogString & | server | ) | `[inline]`

void setSource | ( | const LogString & | source | ) | `[inline]`

## Member Data Documentation

HANDLE hEventLog`[protected]`

LogString log`[protected]`

SID* pCurrentUserSID`[protected]`

LogString server`[protected]`

LogString source`[protected]`

The documentation for this class was generated from the following file:

- nteventlogappender.h